PluginData (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.pluginxml.PluginData class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class PluginData

    java.lang.Object
      org.hyperic.hq.product.pluginxml.PluginData

    public class PluginData

extends java.lang.Object

Nested Class Summary
`class` | `PluginData.ServiceExtension`

Field Summary
`static java.lang.String` | `PLUGIN_PROPERTIES`
`static java.lang.String` | `PLUGIN_XML`

Constructor Summary
`PluginData()`

Method Summary
`void` | `addControlActions(java.lang.String typeName, java.util.List actions)`
`void` | `addCustomPropertiesSchema(java.lang.String name, ConfigSchema schema)`
`void` | `addMetric(java.lang.String name, MeasurementInfo metric)`
`void` | `addPlugin(java.lang.String type, java.lang.String typeName, java.lang.String implClass)`
`void` | `addServiceInventoryPlugin(java.lang.String serverType, java.lang.String serviceType, java.lang.String name)`
`static void` | `addSharedConfigSchema(java.lang.String name, ConfigSchema schema)`
`void` | `addTypes(TypeInfo[] types)`
`java.lang.String` | `applyFilters(java.lang.String s)`
`void` | `deployed()`
`static void` | `deployed(java.lang.ClassLoader loader)`
`void` | `dumpXML()`
`java.lang.ClassLoader` | `getClassLoader()`
`java.util.List` | `getClassPath()`
`ConfigSchema` | `getConfigSchema(java.lang.String name, int type)`
`ConfigSchema` | `getConfigSchema(TypeInfo info, int type)`
`java.util.List` | `getControlActions(java.lang.String typeName)`
`java.util.List` | `getControlActions(TypeInfo info)`
`ConfigSchema` | `getCustomPropertiesSchema(java.lang.String name)`
`ConfigSchema` | `getCustomPropertiesSchema(TypeInfo info)`
`java.lang.String` | `getFile()`
`java.util.List` | `getFileScanIncludes(java.lang.String name)`
`java.lang.String` | `getFilter(java.lang.String key)`
`static java.util.Map` | `getGlobalProperties()`
`static java.lang.String` | `getGlobalProperty(java.lang.String key)`
`java.lang.String` | `getHelp(java.lang.String name)`
`java.util.List` | `getIncludes()`
`static PluginData` | `getInstance(ProductPluginManager manager, java.lang.ClassLoader loader, java.lang.String file)`
`java.util.List` | `getMetrics(java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlugin(java.lang.String type, java.lang.String typeName)`
`java.lang.String` | `getPlugin(java.lang.String type, TypeInfo info)`
`java.lang.String` | `getPluginName()`
`java.util.Properties` | `getProperties()` Get all defined properites
`java.lang.String` | `getProperty(java.lang.String key)` Get a property by name
`java.util.List` | `getRegistryScanIncludes(java.lang.String name)`
`java.util.List` | `getRegistryScanKeys(java.lang.String name)`
`static PluginData.ServiceExtension` | `getServiceExtension(java.lang.String name)`
`java.util.Map` | `getServiceInventoryPlugins(java.lang.String serverType)`
`TypeInfo[]` | `getTypes()`
`static java.io.InputStream` | `openPluginResource(java.lang.ClassLoader loader, java.lang.String file)`
`void` | `removeControlActions(java.lang.String typeName)`
`void` | `removeCustomPropertiesSchema(java.lang.String name)`
`void` | `removeMetrics(java.lang.String name)`
`void` | `removePlugins(java.lang.String typeName)`
`void` | `removeTypes(TypeInfo[] types)`
`void` | `setFile(java.lang.String file)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_XML

    public static final java.lang.String PLUGIN_XML

See Also:
  Constant Field Values

### PLUGIN_PROPERTIES

    public static final java.lang.String PLUGIN_PROPERTIES

See Also:
  Constant Field Values

Constructor Detail

### PluginData

    public PluginData()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPluginName

    public java.lang.String getPluginName()

### getFile

    public java.lang.String getFile()

### setFile

    public void setFile(java.lang.String file)

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getIncludes

    public java.util.List getIncludes()

### deployed

    public static void deployed(java.lang.ClassLoader loader)

### getInstance

    public static PluginData getInstance(ProductPluginManager manager,
                                         java.lang.ClassLoader loader,
                                         java.lang.String file)
                                  throws PluginException

  Throws:
    `PluginException`

### openPluginResource

    public static java.io.InputStream openPluginResource(java.lang.ClassLoader loader,
                                                         java.lang.String file)
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMetrics

    public java.util.List getMetrics(java.lang.String name)

### addMetric

    public void addMetric(java.lang.String name,
                          MeasurementInfo metric)

### removeMetrics

    public void removeMetrics(java.lang.String name)

### getServiceExtension

    public static PluginData.ServiceExtension getServiceExtension(java.lang.String name)

### addPlugin

    public void addPlugin(java.lang.String type,
                          java.lang.String typeName,
                          java.lang.String implClass)

### removePlugins

    public void removePlugins(java.lang.String typeName)

### getPlugin

    public java.lang.String getPlugin(java.lang.String type,
                                      TypeInfo info)

### getPlugin

    public java.lang.String getPlugin(java.lang.String type,
                                      java.lang.String typeName)

### addControlActions

    public void addControlActions(java.lang.String typeName,
                                  java.util.List actions)

### removeControlActions

    public void removeControlActions(java.lang.String typeName)

### getControlActions

    public java.util.List getControlActions(TypeInfo info)

### getControlActions

    public java.util.List getControlActions(java.lang.String typeName)

### getTypes

    public TypeInfo[] getTypes()

### addTypes

    public void addTypes(TypeInfo[] types)

### removeTypes

    public void removeTypes(TypeInfo[] types)

### getServiceInventoryPlugins

    public java.util.Map getServiceInventoryPlugins(java.lang.String serverType)

### addServiceInventoryPlugin

    public void addServiceInventoryPlugin(java.lang.String serverType,
                                          java.lang.String serviceType,
                                          java.lang.String name)

### getClassPath

    public java.util.List getClassPath()

### getHelp

    public java.lang.String getHelp(java.lang.String name)

### getFileScanIncludes

    public java.util.List getFileScanIncludes(java.lang.String name)

### getRegistryScanIncludes

    public java.util.List getRegistryScanIncludes(java.lang.String name)

### getRegistryScanKeys

    public java.util.List getRegistryScanKeys(java.lang.String name)

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        int type)

### getConfigSchema

    public ConfigSchema getConfigSchema(java.lang.String name,
                                        int type)

### getCustomPropertiesSchema

    public ConfigSchema getCustomPropertiesSchema(TypeInfo info)

### getCustomPropertiesSchema

    public ConfigSchema getCustomPropertiesSchema(java.lang.String name)

### addCustomPropertiesSchema

    public void addCustomPropertiesSchema(java.lang.String name,
                                          ConfigSchema schema)

### removeCustomPropertiesSchema

    public void removeCustomPropertiesSchema(java.lang.String name)

### addSharedConfigSchema

    public static void addSharedConfigSchema(java.lang.String name,
                                             ConfigSchema schema)

### applyFilters

    public java.lang.String applyFilters(java.lang.String s)

### getFilter

    public java.lang.String getFilter(java.lang.String key)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Get a property by name

### getProperties

    public java.util.Properties getProperties()

  Get all defined properites

### getGlobalProperty

    public static java.lang.String getGlobalProperty(java.lang.String key)

### getGlobalProperties

    public static java.util.Map getGlobalProperties()

### deployed

    public void deployed()

### dumpXML

    public void dumpXML()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.